# Command: backtrace_on

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    backtrace_on - enable stack backtrace on error.

Synopsis:

    backtrace_on ->	-

Description:

      This functions enables a human readable backtrace of the execution
      stack. This is useful to locate where precisely an error occured. Note
      that this function also disables the interpreter's tail recursion
      optimization and will therefore impose a small performance
      penalty. The command backtrace_off disables the stack backtrace and
      re-enables tail recursion optimization.

      Example:

SeeAlso:

- backtrace_off

Source:

    /opt/conda/conda-bld/nest_1512418773968/work/nest-2.14.0/sli/slicontrol.cc

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative